## gdm3 3.28.3

=== debian/changelog ===
gdm3 (3.28.3-0ubuntu18.04.6) bionic-security; urgency=medium

  * SECURITY UPDATE: gnome-initial-setup launch issue
    - debian/patches/CVE-2020-16125.patch: fail if accountsservice could
      not be contacted in daemon/gdm-display.c.
    - CVE-2020-16125

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Oct 2020 11:09:55 -0400

gdm3 (3.28.3-0ubuntu18.04.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Access to the logged-in user's session
    - debian/patches/CVE-2019-3825-*.patch: fix in
      daemon/gdm-manager.c, daemon/gdm-session.c.
    - CVE-2019-3825

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 19 Feb 2019 05:33:26 -0300

gdm3 (3.28.3-0ubuntu18.04.3) bionic; urgency=medium

  [ Bin Li ]
  * Add utils-add-new-gdm-disable-wayland-binary.patch, cherry-picked
    from cosmic. (LP: #1780076)

 -- Bin Li <bin.li@canonical.com>  Tue, 09 Oct 2018 09:42:42 +0100

gdm3 (3.28.3-0ubuntu18.04.2) bionic; urgency=medium

  [ Bin Li ]
  * Add patches to disable wayland for Huawei Hi1710 chipsets.(LP: #1780076)
    - data-61-gdm.rules.in.patch
    - data-Makefile.am.patch

  [ Didier Roche ]
  * debian/gdm3.install:
    - install udev rules in the correct folder (following upstream build
      fixes). Cherry-picked from cosmic by Bin Li.

 -- Bin Li <bin.li@canonical.com>  Fri, 14 Sep 2018 14:23:02 +0100

gdm3 (3.28.3-0ubuntu18.04.1) bionic; urgency=medium

  [ Iain Lane ]
  * New upstream release 3.28.3 (LP: #1786933):
    - CVE-2018-14424 - double free fix
      + 0001-display-store-Pass-the-display-object-rather-than-th.patch: Drop.
    - lifecycle fixes to libgdm/GdmClient
    - follow up fixes dealing with login screen reaping form last release
    - allow pam modules to use SIGUSR1 (LP: #1782152)
    - set PWD for user session
    - tell cirrus not to use wayland
  * Drop backported patches included in this release:
    - libgdm-drop-support-for-serializing-multiple-opens.patch
    - libgdm-fix-pointer-boolean-task-confusion.patch
    - libgdm-don-t-keep-manager-proxy-around-longer-than-we-nee.patch
    - libgdm-use-g_object_unref-instead-of-g_clear_object-for-w.patch
    - libgdm-get-connection-explicitly.patch
    - libgdm-Drop-weak-refs-on-the-GDBusConnection.patch
    - libgdm-Unref-the-manager-propagated-from-task.patch
    - libgdm-Don-t-double-ref-the-connection-got-from-task.patch
    - libgdm-Don-t-leak-connection-on-sync-re-authentication.patch
    - libgdm-Use-auto-pointers-and-cleanup-code.patch
    - libgdb-Try-to-reuse-connections-from-the-available-proxie.patch
    - libgdm-Don-t-save-manager-address.patch
    - libgdm-Return-NULL-on-invalid-client-instances.patch
    - daemon-gdm-session-record.c-open-close-the-utmp-database.patch

  [ Alberto Milone ]
  * ubuntu_nvidia_prime.patch:
    - Run scripts for Prime before and after Gdm sessions (LP: #1778011).

 -- Iain Lane <iain.lane@canonical.com>  Fri, 17 Aug 2018 16:53:31 +0100

gdm3 (3.28.2-0ubuntu1.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Use-after-free of disposed transient displays
    - d/p/0001-display-store-Pass-the-display-object-rather-than-th.patch:
      display-store: Pass the display object rather than the id in the removed
      signal
    - CVE-2018-14424

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 01 Aug 2018 15:11:08 +0100

gdm3 (3.28.2-0ubuntu1.3) bionic; urgency=medium

  * debian/patches/daemon-gdm-session-record.c-open-close-the-utmp-database.patch:
    - Keep the number of logged-in consistent with reality (LP: #1776487)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 13 Jun 2018 13:04:30 +0100

gdm3 (3.28.2-0ubuntu1.2) bionic; urgency=medium

  * debian/patches/libgdm-drop-support-for-serializing-multiple-opens.patch,
    debian/patches/libgdm-fix-pointer-boolean-task-confusion.patch,
    debian/patches/libgdm-don-t-keep-manager-proxy-around-longer-than-we-nee.patch,
    debian/patches/libgdm-use-g_object_unref-instead-of-g_clear_object-for-w.patch,
    debian/patches/libgdm-get-connection-explicitly.patch,
    debian/patches/libgdm-Drop-weak-refs-on-the-GDBusConnection.patch,
    debian/patches/libgdm-Unref-the-manager-propagated-from-task.patch,
    debian/patches/libgdm-Don-t-double-ref-the-connection-got-from-task.patch,
    debian/patches/libgdm-Don-t-leak-connection-on-sync-re-authentication.patch,
    debian/patches/libgdm-Use-auto-pointers-and-cleanup-code.patch,
    debian/patches/libgdb-Try-to-reuse-connections-from-the-available-proxie.patch,
    debian/patches/libgdm-Don-t-save-manager-address.patch,
    debian/patches/libgdm-Return-NULL-on-invalid-client-instances.patch:
    - Cherry picks commits from upstream 3.28 branch to propely fix ref-counting
      issues on GdmClient (LP: #1766137)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 Jun 2018 11:58:41 +0100

gdm3 (3.28.2-0ubuntu1.1) bionic; urgency=medium

  * debian/gbp.conf: Add with 'bionic' configuration.
  * debian/control{,.in}: Update Vcs-* for git.
  * New upstream release (LP: #1773968):
    - Reference counting fixes for GdmClient (LP: #1766137)
    - ensure plymouth is quit properly even when local greeter is disabled
    - make sure GDM doesn't hang when called with unknown command line arguments
  * debian/patches/0001-libgdm-Don-t-unref-a-connection-that-s-in-use.patch,
    debian/patches/0002-libgdm-add-weak-pointer-for-connection-object.patch:
    Drop, included in this release.

 -- Iain Lane <laney@debian.org>  Tue, 29 May 2018 13:23:25 +0100

gdm3 (3.28.0-0ubuntu1.1) bionic; urgency=medium

  * debian/patches/0001-libgdm-Don-t-unref-a-connection-that-s-in-use.patch,
    debian/patches/0002-libgdm-add-weak-pointer-for-connection-object.patch:
    Cherry-pick two patches from the 3.28 branch. These fix a refcounting bug
    in the GDM Client object, which had meant that the DBus connection was
    being disposed too early in some cases, particularly when logging in after

