## gdm3 3.30.1

=== debian/changelog ===
gdm3 (3.30.1-1ubuntu5) cosmic; urgency=medium

  * Remove accidental addition of Install/Alias info in gdm service file.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 16 Oct 2018 14:06:38 -0600

gdm3 (3.30.1-1ubuntu4) cosmic; urgency=medium

  * d/p/u/gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
    - Wait for the first valid gdm device on pre-start (LP: #1794280)
    + debian/control:
      - Add build-depends on libgudev-1.0-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 16 Oct 2018 20:29:06 +0100

gdm3 (3.30.1-1ubuntu3) cosmic; urgency=medium

  * Build-Depend on gjs so that we don't produce uninstallable packages
    on s390x which doesn't have gjs (LP: #1794721)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Oct 2018 13:52:55 -0400

gdm3 (3.30.1-1ubuntu2) cosmic; urgency=medium

  * debian/patches/ubuntu_revert_nvidia_wayland_blacklist.patch:
    Revert nvidia from wayland blacklist
    With some nvidia hardware using binary driver, if gdm GNOME Shell
    instance is running under Xorg, after logged in, turn into an infinite
    restart CPU loop, spiking processor usage to 100%.
    This is due to an invalid paint context.
    As on ubuntu, our main user session is using Xorg, having GDM using
    Wayland is fine, as checked with usptream. So, we can revert nvidia from
    the blacklist for now. (LP: #1797355)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Oct 2018 17:57:59 +0200

gdm3 (3.30.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for ubuntu_config_error_dialog.patch
      - Update Vcs field
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add ubuntu_run_xsession.d.patch
    + Add ubuntu_xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add ubuntu_nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add ubuntu_dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add ubuntu_config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB
  * debian/patches/Revert-gdm-wayland-session-gdm-x-session-register-after-d.patch:
    Drop - this should be fixed (differently) in 3.30.1.

 -- Iain Lane <laney@debian.org>  Wed, 26 Sep 2018 12:53:37 +0100

gdm3 (3.30.1-1) unstable; urgency=medium

  * New upstream release 3.30.1
  * Delete patches which are applied upstream.
    daemon-Move-the-waiting-the-session-to-have-taken-over-th.patch and
    data-disable-wayland-for-proprietary-nvidia-machines.patch were
    cherry-picks that are in 3.30.1.
  * gbp.conf: Update to pkg-gnome's recommendations
  * debian/control.in: Add procps dependency.
    4fd7af47aef15b4dbc26fb2063940e3b5315f7b5 only added this in control, and
    so it would be lost if this were to be regenerated from control.in
  * Standards-Version → 4.2.1, no changes required
  * Use udev [linux-any] to determine where to install the udev rules.  Also
    use dh-exec to only install them on linux-any. This is all a bit moot
    since we are Architecture: linux-any anyway.

 -- Iain Lane <laney@debian.org>  Wed, 26 Sep 2018 11:18:06 +0100

gdm3 (3.30.0-1) unstable; urgency=medium

  * Team upload

  [ Alexander Kurtz ]
  * debian/generate-config: Use pkill to SIGHUP the dconf-service process.

  [ Simon McVittie ]
  * New upstream release
    - Should avoid restart loops when trying to use Wayland on Nvidia
      proprietary driver (Closes: #908808)
  * Correctly install udev rules in /lib/udev
  * d/p/local-display-factory-ignore-spurios-SeatNew-signal-at-st.patch:
    Drop, applied upstream
  * d/p/data-disable-wayland-for-proprietary-nvidia-machines.patch:
    Add patch from upstream to disable Wayland on the Nvidia proprietary
    driver
  * d/p/daemon-Move-the-waiting-the-session-to-have-taken-over-th.patch:
    Add patch from upstream to fix stopping the greeter
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Sep 2018 12:02:31 +0100

gdm3 (3.30.0-0ubuntu2) cosmic; urgency=medium

  * Revert 7086187, since it breaks Wayland → Xorg fallback

 -- Iain Lane <iain.lane@canonical.com>  Thu, 06 Sep 2018 18:02:03 +0100

gdm3 (3.30.0-0ubuntu1) cosmic; urgency=medium

  * Updated to 3.30.0 release:
    - build fixes
    - search for sessions in XDG_DATA_DIRS
    - blacklist some more wayland unfriendly hardware
    - initial setup fix
    - flicker fix
    - misc bug fixes
  * debian/gdm3.install:
    - install udev rules in the correct folder (following upstream build
      fixes)


