## gdm3 3.30.2

=== debian/changelog ===
gdm3 (3.30.2-3) unstable; urgency=medium

  * Team upload
  * d/p/95_accept_all_layouts.patch: Fix truncated patch.
    A trailing blank line was declared in the diff header but missing from
    the content.
  * d/p/manager-don-t-kill-timed-login-session-immediately-after-.patch,
    d/p/manager-session-Add-some-debugging-around-starting-reauth.patch,
    d/p/session-Don-t-allow-greeter-operations-on-an-running-sess.patch,
    d/p/GdmManager-Don-t-perform-timed-login-if-session-gets-star.patch:
    Update to upstream gnome-3-30 branch at commit 3.30.2-4-gdd4529542
    - Fix interaction between timed logins and ordinary logins
      that could lead to the wrong session being unlocked when not using
      Wayland (CVE-2019-3825, Closes: #921764)
  * d/greeter.dconf-defaults:
    Add commented-out power management options to make it easier to disable
    automatic suspend if desired (see #893964)

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Feb 2019 11:38:07 +0000

gdm3 (3.30.2-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Stop using gnome-get-source and fix pod2man version rule
  * debian/greeter.dconf-defaults: Uncomment all header lines
    (Closes: #901892)

  [ Iiro Laiho ]
  * Cherry-pick fix from 3.31 to allow all keyboard layouts at log in
    (Closes: #921457)

  [ Aurélien COUDERC ]
  * Update login screen logo for Debian 10 and support overriding via
    Debian alternatives. See the desktop-base README.Debian.

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 20:25:34 -0500

gdm3 (3.30.2-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Build-Depend on gjs
    - In preparation for gjs' removal from s390x (#909536), let's ensure
      that gdm3 has satisifiable dependencies

  [ Alexander Kurtz ]
  * debian/generate-config: Drop "exit 0", pointless with set -e
  * debian/gdm3.postinst: Stop setting up pulseaudio as a user service
  * debian/gdm3.postinst: Add missing cleanup of
    /var/lib/gdm3/.config/systemd/user/sockets.target.wants/pulseaudio.socket

  [ Simon McVittie ]
  * New upstream release
    - Refresh patch series
  * d/control.in: Transfer added Breaks in d/control to here.
    Otherwise it would not be preserved when d/control is regenerated
    during clean.
  * Normalize package lists with wrap-and-sort -a
  * Normalize file lists with wrap-and-sort -a

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Nov 2018 09:29:20 +0000
