=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gdm3
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: check (>= 0.9.10-2~),
               dconf-cli (>= 0.19.90),
               debhelper (>= 10.3),
               dh-exec,
               docbook-xml,
               gettext (>= 0.19.8),
               gjs,
               gnome-pkg-tools (>= 0.16.3),
               gnome-settings-daemon (>= 3.24.0),
               gnome-settings-daemon-dev (>= 3.24.0),
               gobject-introspection (>= 0.10.7-1~),
               gsettings-desktop-schemas,
               intltool,
               iso-codes,
               libaccountsservice-dev (>= 0.6.35),
               libattr1-dev [linux-any],
               libaudit-dev [linux-any],
               libcanberra-gtk3-dev (>= 0.4),
               libfontconfig1-dev (>= 2.5.0),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.44.0),
               libgtk-3-dev (>= 2.91.1),
               libkeyutils-dev [linux-any],
               libnss3-dev (>= 3.11.1),
               libpam0g-dev,
               libpango1.0-dev (>= 1.3.0),
               libplymouth-dev [linux-any],
               libselinux1-dev [linux-any],
               libsystemd-dev [linux-any],
               libwrap0-dev,
               libx11-dev,
               libxau-dev,
               libxcb1-dev,
               libxdmcp-dev,
               libxext-dev,
               libxinerama-dev,
               libxt-dev,
               udev [linux-any],
               xserver-xorg-dev,
               yelp-tools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gdm
Vcs-Git: https://salsa.debian.org/gnome-team/gdm.git
Rules-Requires-Root: no

Package: gdm3
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: accountsservice (>= 0.6.35),
         adduser,
         dconf-cli (>= 0.20),
         dconf-gsettings-backend (>= 0.20),
         gir1.2-gdm-1.0 (= ${binary:Version}),
         gnome-session | x-session-manager | x-window-manager | x-terminal-emulator,
         gnome-session-bin (>= 3.10),
         gnome-settings-daemon (>= 3.24),
         gnome-shell (>= 3.19.92),
         gsettings-desktop-schemas,
         libgdm1 (= ${binary:Version}),
         libglib2.0-bin (>= 2.35.0),
         libpam-modules (>= 0.72-1),
         libpam-runtime (>= 0.76-13.1),
         libpam-systemd [linux-any],
         librsvg2-common,
         lsb-base (>= 3.2-14),
         policykit-1 (>= 0.105-5~) [linux-any],
         procps,
         ucf,
         x11-common (>= 1:7.6+11),
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: at-spi2-core,
            desktop-base (>= 6),
            x11-xkb-utils,
            xserver-xephyr,
            xserver-xorg,
            zenity
Suggests: gnome-orca,
          libpam-fprintd (>= 0.8.0-2),
          libpam-gnome-keyring
Provides: x-display-manager
Breaks: pulseaudio (<< 11.1-2),
        xserver-xorg-core (<< 2:1.17.2-2~)
Description: GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.

Package: libgdm1
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gdm3 (<< 3.18.0-3~)
Replaces: gdm3 (<< 3.18.0-3~)
Description: GNOME Display Manager (shared library)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains the shared library required by gnome-shell.

Package: libgdm-dev
Section: libdevel
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gdm-1.0 (= ${binary:Version}),
         libgdm1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.44.0),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GNOME Display Manager (development files)
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains header and development files.

Package: gir1.2-gdm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gir1.2-gdm3
Replaces: gir1.2-gdm3
Description: GObject introspection data for the GNOME Display Manager
 GDM provides the equivalent of a "login:" prompt for X displays: it
 asks for a login and starts graphical sessions.
 .
 It supports multiple seats and switching between multiple users.
 .
 The greeter is based on the GNOME libraries and applications, and its
 look and design are the same as those of a GNOME session.
 .
 This package contains introspection data for the GNOME Display Manager.
