=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-
-GNOME_MODULE := gdm
+include /usr/share/dpkg/pkg-info.mk
+include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
@@ -55,9 +54,9 @@
 		--libexecdir=\$${prefix}/lib/gdm3 \
 		--disable-static \
 		--enable-ipv6=yes \
-		--enable-gdm-xsession \
 		--with-at-spi-registryd-directory=/usr/lib/at-spi \
 		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
+		--with-custom-conf=/etc/gdm3/daemon.conf \
 		--with-sysconfsubdir=gdm3 \
 		--with-working-directory=/var/lib/gdm3 \
 		--with-xauth-dir=/var/run/gdm3 \
@@ -67,6 +66,7 @@
 		--with-pam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
 		--with-screenshot-dir=/var/run/gdm3/greeter \
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
+		--with-user=Debian-gdm --with-group=Debian-gdm \
 		--with-lang-file=/etc/default/locale \
 		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
 		--with-ran-once-marker-directory=/var/run/gdm3 \
@@ -82,7 +82,7 @@
 	rm -rf debian/tmp/var/run
 	dh_install
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-#	chmod 755 debian/gdm3/etc/gdm3/Xsession
+	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
@@ -96,7 +96,7 @@
 	dh_makeshlibs -- -c4
 
 override_dh_installinit:
-	dh_installinit --noscripts --no-start
+	dh_installinit --noscripts
 
 override_dh_auto_clean:
 	dh_auto_clean
