## gdm3 3.32.0

=== debian/changelog ===
gdm3 (3.32.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add run_xsession.d.patch
    + Add xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - Don't blacklist nvidia for wayland
    + Add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - Wait for the first valid gdm device on pre-start
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB

 -- Iain Lane <iain.lane@canonical.com>  Sat, 16 Mar 2019 12:11:20 +0000

gdm3 (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * control, rules: BD on dh-sequence-{gir,gnome} and drop --with
  * Cherry-pick upstream patch to properly show all sessions in the switcher

 -- Iain Lane <laney@debian.org>  Sat, 16 Mar 2019 11:57:47 +0000

gdm3 (3.31.4+git20190225-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    + README.Debian: update for correct paths in Ubuntu
    + control.in:
      - Don't recommend desktop-base
      - Depend on bash for config_error_dialog.patch
      - Update Vcs field
    + rules:
      - Don't override default user/group
      - --enable-gdm-xsession to install upstream Xsession script
      - override dh_installinit with --no-start to avoid session being killed
    + rules, README.Debian, gdm3.8.pod:
      Use upstream custom.conf instead of daemon.conf
    + gdm3.{postinst,postrm}: rename user and group back to gdm
    + gdm3.postinst, gdm3.prerm: don't kill gdm on upgrade
    + gdm3.*.pam: Make pam_env read ~/.pam_environment
    + gdm3.install:
      - Stop installing default.desktop. It adds unnecessary clutter
        ("System Default") to the session chooser.
      - Don't install debian/Xsession
    + Add run_xsession.d.patch
    + Add xresources_is_a_dir.patch
      - Fix loading from /etc/X11/Xresources/*
    + Add nvidia_prime.patch:
      - Add hook to run prime-offload (as root) and prime-switch if
        nvidia-prime is installed
    + Add revert_override_LANG_with_accountservices.patch:
      - On Ubuntu accountservices only stores the language and not the
        full locale as needed by LANG.
    + Add dont_set_language_env.patch:
      - Don't run the set_up_session_language() function, since it
        overrides variable values set by ~/.pam_environment
    + Add config_error_dialog.patch:
      - Show warning dialog in case of error in ~/.profile etc. and
        don't let a syntax error make the login fail
    + Add debian/patches/revert_nvidia_wayland_blacklist.patch:
      - Don't blacklist nvidia for wayland
    + Add gdm3.service-wait-for-drm-device-before-trying-to-start-i.patch:
      - Wait for the first valid gdm device on pre-start
    + Add debian/default.pa
      - Disable Bluetooth audio devices in PulseAudio from gdm3.
    + debian/gdm3.install
      - Added details of the default.pa file
    + debian/gdm3.postinst
      - Added installation of default.pa and creation of dir if it doesn't
        exist.
    + debian/greeter.dconf-defaults: Don't set Debian settings in the
      greeter's dconf DB
  * Move the Ubuntu patches to an ubuntu directory in d/p.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 27 Feb 2019 13:55:19 +0000

gdm3 (3.31.4+git20190225-1) experimental; urgency=medium

  * New upstream git snapshot. This is upstream commit
    4d5e8ca9466a3903c4360cabb3c89ed018dd3e35 plus a Debian patch by Iain Lane
    to not include some generated files in the tarball - they were leaking the
    maintainer's prefix. That's forwarded as !61 upstream.
  * Refresh patches
    d/p/95_accept_all_layouts.patch,
    d/p/GdmManager-Don-t-perform-timed-login-if-session-gets-star.patch,
    d/p/manager-don-t-kill-timed-login-session-immediately-after-.patch,
    d/p/manager-session-Add-some-debugging-around-starting-reauth.patch,
    d/p/session-Don-t-allow-greeter-operations-on-an-running-sess.patch:
    Dropped, applied upstream.
  * Bump to compat 12.
    Use the new Build-Depends: debhelper-compat method to specify this, and
    remove debian/compat accordingly. This compat level (actually it was 11)

