=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,10 @@
 		| sed -e 's/debian:://' >$@
 
 %:
-	dh $@ --with gnome,gir --without systemd
+	dh $@
+
+# We set this up manually
+override_dh_installsystemd:
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
@@ -54,9 +57,9 @@
 		--libexecdir=\$${prefix}/lib/gdm3 \
 		--disable-static \
 		--enable-ipv6=yes \
+		--enable-gdm-xsession \
 		--with-at-spi-registryd-directory=/usr/lib/at-spi \
 		--with-default-path=/usr/local/bin:/usr/bin:/bin:/usr/games \
-		--with-custom-conf=/etc/gdm3/daemon.conf \
 		--with-sysconfsubdir=gdm3 \
 		--with-working-directory=/var/lib/gdm3 \
 		--with-xauth-dir=/var/run/gdm3 \
@@ -66,7 +69,6 @@
 		--with-pam-mod-dir=/lib/$(DEB_HOST_MULTIARCH)/security \
 		--with-screenshot-dir=/var/run/gdm3/greeter \
 		--with-defaults-conf=/usr/share/gdm/defaults.conf \
-		--with-user=Debian-gdm --with-group=Debian-gdm \
 		--with-lang-file=/etc/default/locale \
 		--with-check-accelerated-directory=/usr/lib/gnome-session/ \
 		--with-ran-once-marker-directory=/var/run/gdm3 \
@@ -82,7 +84,7 @@
 	rm -rf debian/tmp/var/run
 	dh_install
 	mv debian/gdm3/usr/sbin/gdm debian/gdm3/usr/sbin/gdm3
-	chmod 755 debian/gdm3/etc/gdm3/Xsession
+#	chmod 755 debian/gdm3/etc/gdm3/Xsession
 	chmod 755 debian/gdm3/usr/share/gdm/generate-config
 	dh_installpam -pgdm3 --name=gdm-autologin
 	dh_installpam -pgdm3 --name=gdm-launch-environment
@@ -96,7 +98,7 @@
 	dh_makeshlibs -- -c4
 
 override_dh_installinit:
-	dh_installinit --noscripts
+	dh_installinit --noscripts --no-start
 
 override_dh_auto_clean:
 	dh_auto_clean
